oracle.xml.xsql

## Class XSQLDatasourceConnectionManager

- java.lang.Object
- - oracle.xml.xsql.XSQLDatasourceConnectionManager

All Implemented Interfaces:
  XSQLConnectionManager, XSQLConnectionManagerFactory

    public class XSQLDatasourceConnectionManager
    extends java.lang.Object
    implements XSQLConnectionManager, XSQLConnectionManagerFactory

Generic implementation of XSQLConnectionManager that uses JNDI to lookup a JDBC datasource from the container in which the XSQL servlet is running.

### Constructor Summary

Constructors
Constructor and Description
`XSQLDatasourceConnectionManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`XSQLConnectionManager` `create()` Needed to implement XSQLConnectionManagerFactory interface
`XSQLConnection` `getConnection(java.lang.String connName, XSQLPageRequest env)` Needed to implement XSQLConnectionManager interface
`void` `releaseConnection(XSQLConnection theConn, XSQLPageRequest env)` Needed to implement XSQLConnectionManager interface

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSQLDatasourceConnectionManager

    public XSQLDatasourceConnectionManager()

### Method Detail

#### getConnection

    public XSQLConnection getConnection(java.lang.String connName,
                                        XSQLPageRequest env)
                                 throws java.sql.SQLException

Needed to implement XSQLConnectionManager interface

Specified by:
  `getConnection` in interface `XSQLConnectionManager`
Throws:
  `java.sql.SQLException`

#### releaseConnection

    public void releaseConnection(XSQLConnection theConn,
                                  XSQLPageRequest env)

Needed to implement XSQLConnectionManager interface

Specified by:
  `releaseConnection` in interface `XSQLConnectionManager`

#### create

    public XSQLConnectionManager create()

Needed to implement XSQLConnectionManagerFactory interface

Specified by:
  `create` in interface `XSQLConnectionManagerFactory`

Copyright © 2003, 2020, Oracle and/or its affiliates.